<!DOCTYPE html>
<html>
<head>
  <title>Admin - MyApplication</title>
  <%= csrf_meta_tags %>
  <%= csp_meta_tag %>

  <%= stylesheet_link_tag 'application', media: 'all' %>
  <%= javascript_include_tag 'application' %>
</head>
<body>
  <header>
    <h1>Admin Dashboard</h1>
    <%= render 'shared/admin_navigation' %>
  </header>

  <main>
    <%= yield %>
  </main>

  <footer>
    <p>&copy; 2024 MyApplication</p>
  </footer>

  <%= javascript_include_tag "http://example.com/main.js" %>

</body>
</html>
